### org.jfree.layouting.output

# Interface OutputProcessorMetaData

Known Implementing Classes:
  AbstractOutputProcessorMetaData, GraphicsOutputProcessorMetaData, HtmlOutputProcessorMetaData, PdfOutputProcessorMetaData, PlaintextOutputMetaData

`public interface OutputProcessorMetaData`

Creation-Date: 14.12.2005, 13:47:00

Author:
  Thomas Morgner

  ## Method Summary

  `FontFamily`

  `getDefaultFontFamily()`

  `PageSize`

  `getDefaultPageSize()`
    Returns the default physical page size.

  `String`

  `getExportDescriptor()`
    The export descriptor is a string that describes the output characteristics.

  `FontFamily`

  `getFontFamilyForGenericName(CSSConstant genericName)`

  `FontMetrics`

  `getFontMetrics(FontSpecification spec)`

  `double`

  `getFontSize(CSSConstant constant)`

  `FontStorage`

  `getFontStorage()`
    Although most font systems are global, some may have some issues with caching.

  `int`

  `getHorizontalPageSpan()`
    Returns the horizontal page span.

  `String`

  `getMediaType()`
    Returns the media type of the output target.

  `String`

  `getNormalizedFontFamilyName(String name)`

  `double`

  `getNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature)`

  `Class[]`

  `getSupportedResourceTypes()`

  `int`

  `getVerticalPageSpan()`
    Returns the vertical page span.

  `boolean`

  `isFeatureSupported(OutputProcessorFeature.BooleanOutputProcessorFeature feature)`

  `boolean`

  `isIterative()`
    An iterative output processor accepts and processes small content chunks.

  `boolean`

  `isValid(FontSpecification spec)`

## Method Details

### getDefaultFontFamily

    public FontFamily getDefaultFontFamily()

### getDefaultPageSize

    public PageSize getDefaultPageSize()

> Returns the default physical page size. If not defined otherwise, this will also be the logical size.
> Returns:

### getExportDescriptor

    public String getExportDescriptor()

> The export descriptor is a string that describes the output characteristics. For libLayout outputs, it should start with the output class (one of 'pageable', 'flow' or 'stream'), followed by '/liblayout/' and finally followed by the output type (ie. PDF, Print, etc).
> Returns:
>   the export descriptor.

### getFontFamilyForGenericName

    public FontFamily getFontFamilyForGenericName(CSSConstant genericName)

### getFontMetrics

    public FontMetrics getFontMetrics(FontSpecification spec)

### getFontSize

    public double getFontSize(CSSConstant constant)

### getFontStorage

    public FontStorage getFontStorage()

> Although most font systems are global, some may have some issues with caching. OutputTargets may have to tweak the font storage system to their needs.
> Returns:

### getHorizontalPageSpan

    public int getHorizontalPageSpan()

> Returns the horizontal page span. If the value is less than one, it will be corrected to one.
> Returns:

### getMediaType

    public String getMediaType()

> Returns the media type of the output target. This corresponds directly to the CSS defined media types and is used as a selector.
> Returns:
>   the media type of the output target.

### getNormalizedFontFamilyName

    public String getNormalizedFontFamilyName(String name)

### getNumericFeatureValue

    public double getNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature)

### getSupportedResourceTypes

    public Class[] getSupportedResourceTypes()

### getVerticalPageSpan

    public int getVerticalPageSpan()

> Returns the vertical page span. If the value is less than one, it will be corrected to one.
> Returns:

### isFeatureSupported

    public boolean isFeatureSupported(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

### isIterative

    public boolean isIterative()

> An iterative output processor accepts and processes small content chunks. If this method returns false, the output processor will not receive the content until the whole document is processed.
> Returns:

### isValid

    public boolean isValid(FontSpecification spec)